curl
curl -sS -X POST "https://gateway.orbit/api/v1/projects/4/dev-deploy-steps" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"name": "example", "command": "/usr/bin/php artisan queue:work"}'{
"data": {
"name": "<string>",
"command": "<string>",
"timeout_seconds": 123,
"required": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
Create a development deploy step
Record one named development deploy step on a Project.
POST
/
api
/
v1
/
projects
/
{project}
/
dev-deploy-steps
curl
curl -sS -X POST "https://gateway.orbit/api/v1/projects/4/dev-deploy-steps" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"name": "example", "command": "/usr/bin/php artisan queue:work"}'{
"data": {
"name": "<string>",
"command": "<string>",
"timeout_seconds": 123,
"required": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Project ID.
Required range:
x >= 1Body
application/json
Step name
Maximum string length:
63Pattern:
^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$Nonempty UTF-8 shell command, at most 16 KiB, without NUL bytes.
Minimum string length:
1Step timeout in seconds.
Required range:
1 <= x <= 900true for required or false for best effort
Place before this step
Place after this step